Webhook Event ReferenceCarts
cart.abandoned
Triggers when a cart is marked as abandoned.
Request Body
application/json
api_version?string
API Version of the object data schema.
data?
event_id?string
Unique id associated with this webhook event.
Format
uuidevent_type?string
Webhook event type of the current event.
object?string
Object data type.
webhook?
Response Body
Example Requests
POST
/cart.abandoned{
"api_version": "2024-04-01",
"data": {
"abandoned": false,
"attribution": {
"affiliate": null,
"agent": {
"email": null,
"first_name": "string",
"id": 0,
"last_name": "string"
},
"funnel": null,
"gclid": null,
"metadata": {},
"subaffiliate1": null,
"subaffiliate2": null,
"subaffiliate3": null,
"subaffiliate4": null,
"subaffiliate5": null,
"utm_campaign": null,
"utm_content": null,
"utm_medium": null,
"utm_source": null,
"utm_term": null
},
"checkout_url": "https://example.com",
"created_at": "2024-01-01T00:00:00Z",
"currency": "string",
"id": 0,
"lines": [
{
"currency": "string",
"id": 0,
"interval": null,
"interval_count": null,
"is_upsell": false,
"metadata": {},
"price_excl_tax": "0.00",
"price_incl_tax": "0.00",
"product_id": 0,
"product_image": "https://example.com",
"product_title": "string",
"product_url": "https://example.com",
"quantity": 0,
"report_values": {
"currency": "string",
"price_excl_tax": "0.00",
"price_incl_tax": "0.00",
"total_cost": "0.00",
"total_discount": "0.00",
"unit_cost": "0.00"
},
"sku": "string",
"total_cost": "0.00",
"total_discount": "0.00",
"unit_cost": "0.00",
"variant_id": 0,
"variant_title": "string"
}
],
"metadata": {},
"report_values": {
"currency": "string",
"total_cost": "0.00",
"total_discount": "0.00",
"total_excl_tax": "0.00",
"total_incl_tax": "0.00"
},
"status": "string",
"total_cost": "0.00",
"total_discount": "0.00",
"total_excl_tax": "0.00",
"total_incl_tax": "0.00",
"user": {
"accepts_marketing": false,
"email": null,
"first_name": "string",
"id": 0,
"ip": null,
"language": null,
"last_name": "string",
"phone_number": null,
"user_agent": null
},
"voucher_discounts": [
{
"amount": "0.00",
"description": "string",
"name": "string",
"voucher": {
"code": "string",
"end_datetime": "2024-01-01T00:00:00Z",
"name": "string",
"start_datetime": "2024-01-01T00:00:00Z"
}
}
]
},
"event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",
"event_type": "cart.abandoned",
"object": "cart",
"webhook": {
"events": [
"cart.abandoned"
],
"id": 1,
"store": "example",
"target": "https://example.com/webhook/"
}
}